<?php 
add_action( 'add_meta_boxes', 'spp_slup_add_custom_box' );
function spp_slup_add_custom_box() {
	
		add_meta_box( 
			'spp_slup_meta',
			__( SPP_SLUP_PLUGIN_NAME, 'spp-slideup' ),
			'spp_slup_mbe_callback',
			'post', 'side' , 'high'
		);
		add_meta_box( 
			'spp_slup_meta',
			__( SPP_SLUP_PLUGIN_NAME, 'spp-slideup' ),
			'spp_slup_mbe_callback',
			'page' , 'side' , 'high'
		);
		add_meta_box( 
			'spp_slup_type_mbe',
			__( 'Type', 'spp-slideup' ),
			'spp_slup_type_mbe',
			'spp_slideup' , 'normal' , 'core'
		);
		add_meta_box( 
			'spp_slup_design_mbe',
			__( 'Design', 'spp-slideup' ),
			'spp_slup_design_mbe',
			'spp_slideup' , 'normal' , 'core'
		);
		add_meta_box( 
			'spp_slup_optin_mbe',
			__( 'Optin', 'spp-slideup' ),
			'spp_slup_optin_mbe',
			'spp_slideup' , 'normal' , 'core'
		);
		add_meta_box( 
			'spp_slup_social_mbe',
			__( 'Social', 'spp-slideup' ),
			'spp_slup_social_mbe',
			'spp_slideup' , 'normal' , 'core'
		);
}
// Type metabox callback
function spp_slup_type_mbe( $post ) {
		$type = get_post_meta( $post->ID, '_type', true );
		
		wp_nonce_field( plugin_basename( __FILE__ ), 'spp_slideup_nonce' );
		?><table><tr>
		<td class="radio-opts"><input type="radio" id="spp_slup_type_1" name="type" value="spp_slup_type_1" <?php checked($type, 'spp_slup_type_1'); ?>><br>
		<label for="spp_slup_type_1">Ad/Content</label></td>
		<td class="radio-opts"><input type="radio" id="spp_slup_type_2" name="type" value="spp_slup_type_2" <?php checked($type, 'spp_slup_type_2'); ?>><br>
		<label for="spp_slup_type_2">Opt-in</label></td>
		<td class="radio-opts"><input type="radio" id="spp_slup_type_3" name="type" value="spp_slup_type_3" <?php checked($type, 'spp_slup_type_3'); ?>><br>
		<label for="spp_slup_type_3">Social</label></td></tr></table>
		<?php					
}
// Design metabox callback
function spp_slup_design_mbe( $post ) {
		$bdwidth = get_post_meta( $post->ID, '_bdwidth', true );
		$bdstyle = get_post_meta( $post->ID, '_bdstyle', true );
		$bdcolor = get_post_meta( $post->ID, '_bdcolor', true );
		$bgcolor = get_post_meta( $post->ID, '_bgcolor', true );
		$bgimg = get_post_meta( $post->ID, '_bgimg', true );
		wp_nonce_field( plugin_basename( __FILE__ ), 'spp_slideup_nonce' );
		?>
		<table id="border">
			<tr colspan="3">
				<td>
				<h4>Border</h4>
				</td>
			</tr>
			<tr>
				<td>
					<label for="bdwidth">Width:</label> 
					<input id="bdwidth" type="text" name="bdwidth" value="<?php echo $bdwidth; ?>">px</td>
				<td>
				<label for="bdstyle">Style:</label> 
				<select name="bdstyle" id="bdstyle">
					<option value="" <?php selected( $bdstyle, '' ); ?>>None</option>
					<option value="solid" <?php selected( $bdstyle, 'solid' ); ?>>Solid</option>
					<option value="dashed" <?php selected( $bdstyle, 'dashed' ); ?>>Dashed</option>
					<option value="dotted" <?php selected( $bdstyle, 'dotted' ); ?>>Dotted</option>
				</select>
				</td>
				<td>
					<label for="bdcolor">Color:</label> 
					<input type="text" id="bdcolor" class="color-picker" name="bdcolor" value="<?php echo $bdcolor; ?>"></td>
			</tr>
		</table>
		<table id="background">
			<tr>
				<td>
				<h4>Choose a background color,</h4> 
				<input type="text" id="bgcolor" name="bgcolor" class="color-picker" value="<?php echo $bgcolor; ?>">
				</td>
				<td>
					<h4>Or choose a background image...</h4>
					<div class="bgimgex">
						<input type="radio" name="bgimg" id="none" value="" <?php checked( $bgimg, '' ); ?>>
						<label for="none" id="none" class="bgimg">None</label></div>
					<div class="bgimgex">
						<input type="radio" name="bgimg" id="gold_scale" value="gold_scale" <?php checked( $bgimg, 'gold_scale' ); ?>>
						<label for="gold_scale" id="gold_scale" class="bgimg">Gold Scale</label></div>
					<div class="bgimgex">
						<input type="radio" name="bgimg" id="light_wool" value="light_wool" <?php checked( $bgimg, 'light_wool' ); ?>>
						<label for="light_wool" id="light_wool" class="bgimg">Light Wool</label></div>
					<div class="bgimgex">
						<input type="radio" name="bgimg" id="paper_2" value="paper_2" <?php checked( $bgimg, 'paper_2' ); ?>>
						<label for="paper_2" name="bgimg" id="paper_2" class="bgimg">Paper 2</label></div>
					<div class="bgimgex">
						<input type="radio" name="bgimg" id="paper_3" value="paper_3" <?php checked( $bgimg, 'paper_3' ); ?>>
						<label for="paper_3" name="bgimg" id="paper_3" class="bgimg">Paper 3</label></div>
					<div class="bgimgex">
						<input type="radio" name="bgimg" id="ps_neutral" value="ps_neutral" <?php checked( $bgimg, 'ps_neutral' ); ?>>
						<label for="ps_neutral" name="bgimg" id="ps_neutral" class="bgimg">PS Neutral</label></div>
					<div class="bgimgex">
						<input type="radio" name="bgimg" id="tweed" value="tweed" <?php checked( $bgimg, 'tweed' ); ?>>
						<label for="tweed" name="bgimg" id="tweed" class="bgimg">Tweed</label></div>					
				</td>
			</tr>
		</table>
		<?php
}
// Optin metabox callback
function spp_slup_optin_mbe( $post ) { 
	$ar_code = get_post_meta( $post->ID, '_ar_code', true );
	$ar_name = get_post_meta( $post->ID, '_ar_name', true );
	$ar_email = get_post_meta( $post->ID, '_ar_email', true );
	$ar_url = get_post_meta( $post->ID, '_ar_url', true );
	$ar_hidden = get_post_meta( $post->ID, '_ar_hidden', true );
	$ar_name_label = get_post_meta( $post->ID, '_ar_name_label', true );
	$ar_email_label = get_post_meta( $post->ID, '_ar_email_label', true );
	$ar_button_label = get_post_meta( $post->ID, '_ar_button_label', true );
	wp_nonce_field( plugin_basename( __FILE__ ), 'spp_slideup_nonce' );
	?>
	<table class="form-table">
	<tr valign="top">
		<th scope="row"><strong>Paste Your Autoresponder Code: </strong></th>
		<td><textarea name="ar_code" id="ar_code" cols="50" rows="5" class="large-text"><?php if( !empty( $ar_code ) ) echo stripcslashes( $ar_code ); ?></textarea>
		<div id="arcode_hdn_div" ></div>
		<div id="arcode_hdn_div2"></div>
		</td>
	</tr>
	<tr valign="top">
		<th scope="row"><strong>Name Field: </strong></th>
		<td><input type="text" name="ar_name" id="ar_name" class="ar_name regular-text" value="<?php if( !empty( $ar_name ) ) echo stripcslashes( $ar_name ); ?>" /></td>
	</tr>
	<tr valign="top">
		<th scope="row"><strong>Email Field: </strong></th>
		<td><input type="text" name="ar_email" id="ar_email" class="ar_email regular-text" value="<?php if( !empty( $ar_email ) ) echo stripcslashes( $ar_email ); ?>" /></td>
	</tr>
	<tr valign="top">
		<th scope="row"><strong>AR Post URL: </strong></th>
		<td><input type="text" name="ar_url" id="ar_url" class="ar_url regular-text" value="<?php if( !empty( $ar_url ) ) echo esc_url( $ar_url ); ?>" /></td>
	</tr>
	<tr valign="top">
		<th scope="row"><strong>Hidden Fields: </strong></th>
		<td><textarea name="ar_hidden" id="ar_hidden" class="ar_hidden large-text" rows="5" cols="50"><?php if( !empty( $ar_hidden ) ) echo stripcslashes( $ar_hidden ); ?></textarea></td>
	</tr>
	<tr valign="top">
		<th scope="row"><strong>Name Field Label: </strong><br><small>Text that appears in the name field</small></th>
		<td>
		<input type="text" class="ar_name_label regular-text" id="ar_name_label" name="ar_name_label" value="<?php if( !empty( $ar_name_label ) ) echo stripcslashes( $ar_name_label ); ?>">
		</td>
	</tr>
	<tr valign="top">
		<th scope="row"><strong>Email Field Label: </strong><br><small>Text that appears in the email field</small></th>
		<td>
		<input type="text" class="ar_email_label regular-text" id="ar_email_label" name="ar_email_label" value="<?php if( !empty( $ar_email_label ) ) echo stripcslashes( $ar_email_label ); ?>">
		</td>
	</tr>
	<tr valign="top">
		<th scope="row"><strong>Button Label: </strong><br><small>Text that appears in the button</small></th>
		<td>
		<input type="text" class="ar_button_label regular-text" id="ar_button_label" name="ar_button_label" value="<?php if( !empty( $ar_button_label ) ) echo stripcslashes( $ar_button_label ); ?>">
		</td>
	</tr>
	<tr valign="top">
		<th scope="row"><strong>Submit Button Color: </strong></th>
		<td>
			<label for="spp_slup_black" class="spp_slup_button_pl spp_slup_black">Black</label>
			<input type="radio" name="ar_btn_clr" id="spp_slup_black" class="ar-btn-clr" value="spp_slup_black" <?php checked( get_post_meta( $post->ID, '_ar_btn_clr', true ), 'spp_slup_black' ); ?>>
			
			<label for="spp_slup_gray" class="spp_slup_button_pl spp_slup_gray">Gray</label>
			<input type="radio" name="ar_btn_clr" id="spp_slup_gray" class="ar-btn-clr" value="spp_slup_gray" <?php checked( get_post_meta( $post->ID, '_ar_btn_clr', true ), 'spp_slup_gray' ); ?>>
			
			<label for="spp_slup_white" class="spp_slup_button_pl spp_slup_white">White</label>
			<input type="radio" name="ar_btn_clr" id="spp_slup_white" class="ar-btn-clr" value="spp_slup_white" <?php checked( get_post_meta( $post->ID, '_ar_btn_clr', true ), 'spp_slup_white' ); ?>>
			
			<label for="spp_slup_red" class="spp_slup_button_pl spp_slup_red">Red</label>
			<input type="radio" name="ar_btn_clr" id="spp_slup_red" class="ar-btn-clr" value="spp_slup_red" <?php checked( get_post_meta( $post->ID, '_ar_btn_clr', true ), 'spp_slup_red' ); ?>>
			
			<label for="spp_slup_orange" class="spp_slup_button_pl spp_slup_orange">Orange</label>
			<input type="radio" name="ar_btn_clr" id="spp_slup_orange" class="ar-btn-clr" value="spp_slup_orange" <?php checked( get_post_meta( $post->ID, '_ar_btn_clr', true ), 'spp_slup_orange' ); ?>>
			
			<label for="spp_slup_blue" class="spp_slup_button_pl spp_slup_blue">Blue</label>
			<input type="radio" name="ar_btn_clr" id="spp_slup_blue" class="ar-btn-clr" value="spp_slup_blue" <?php checked( get_post_meta( $post->ID, '_ar_btn_clr', true ), 'spp_slup_blue' ); ?>>
			
			<label for="spp_slup_rosy" class="spp_slup_button_pl spp_slup_rosy">Rosy</label>
			<input type="radio" name="ar_btn_clr" id="spp_slup_rosy" class="ar-btn-clr" value="spp_slup_rosy" <?php checked( get_post_meta( $post->ID, '_ar_btn_clr', true ), 'spp_slup_rosy' ); ?>>
			
			<label for="spp_slup_green" class="spp_slup_button_pl spp_slup_green">Green</label>
			<input type="radio" name="ar_btn_clr" id="spp_slup_green" class="ar-btn-clr" value="spp_slup_green" <?php checked( get_post_meta( $post->ID, '_ar_btn_clr', true ), 'spp_slup_green' ); ?>>
			
			<label for="spp_slup_pink" class="spp_slup_button_pl spp_slup_pink">Pink</label>
			<input type="radio" name="ar_btn_clr" id="spp_slup_pink" class="ar-btn-clr" value="spp_slup_pink" <?php checked( get_post_meta( $post->ID, '_ar_btn_clr', true ), 'spp_slup_pink' ); ?>>
		</td>
	</tr>
	<tr valign="top">
		<th scope="row"><strong>Button Style: </strong></th>
		<td>
			<label for="btnrounded" class="spp_slup_button_pl spp_slup_white spp_slup_bigrounded">Rounded</label>
			<input type="radio" name="ar_btn_style" id="btnrounded" class="ar-btn-style" value="spp_slup_bigrounded" <?php checked( get_post_meta( $post->ID, '_ar_btn_style', true ), 'spp_slup_bigrounded' ); ?>>
			<label for="btnregular" class="spp_slup_button_pl spp_slup_white">Regular</label>
			<input type="radio" name="ar_btn_style" id="btnregular" class="ar-btn-style" value="" <?php checked( get_post_meta( $post->ID, '_ar_btn_style', true ), '' ); ?>>
			<label for="btnmedium" class="spp_slup_button_pl spp_slup_white spp_slup_medium">Medium</label>
			<input type="radio" name="ar_btn_style" id="btnmedium" class="ar-btn-style" value="spp_slup_medium" <?php checked( get_post_meta( $post->ID, '_ar_btn_style', true ), 'spp_slup_medium' ); ?>>
		</td>
	</tr>
	</table>
	<?php
}
// Social metabox callback
function spp_slup_social_mbe( $post ) {
	$meta = get_post_custom( $post->ID );
	wp_nonce_field( plugin_basename( __FILE__ ), 'spp_slideup_nonce' );
	?>
	<table class="form-table">
		<tr valign="top">
			<td colspan="2">Enter your social profile URL. Leave empty to disable</td>
		</tr>
		<tr valign="top">
			<th scope="row">Twitter</th>
		<td>
			<div class="input-prepend">
				<span class="add-on"><i class="icon-twitter icon-larger"></i></span>
				<input class="span2 regular-text" type="text" name="twitter" value="<?php if( !empty( $meta['_twitter'][0] ) ) { echo $meta['_twitter'][0]; } ?>">
			</div>
		</td>
		</tr>
		<tr valign="top">
			<th scope="row">Facebook</th>
		<td>
			<div class="input-prepend">
				<span class="add-on"><i class="icon-facebook icon-larger"></i></span>
				<input class="span2 regular-text" type="text" name="facebook" value="<?php if( !empty( $meta['_facebook'][0] ) ) { echo $meta['_facebook'][0]; } ?>">
			</div>
		</td>
		</tr>
		<tr valign="top">
			<th scope="row">Pinterest</th>
		<td>
			<div class="input-prepend">
				<span class="add-on"><i class="icon-pinterest icon-larger"></i></span>
				<input class="span2 regular-text" type="text" name="pinterest" value="<?php if( !empty( $meta['_pinterest'][0] ) ) { echo $meta['_pinterest'][0]; } ?>"
			</div>
		</td>
		</tr>
		<tr valign="top">
			<th scope="row">LinkedIn</th>
		<td>
			<div class="input-prepend">
				<span class="add-on"><i class="icon-linkedin icon-larger"></i></span>
				<input class="span2 regular-text" type="text" name="linkedin" value="<?php if( !empty( $meta['_linkedin'][0] ) ) { echo $meta['_linkedin'][0]; } ?>">
			</div>
		</td>
		</tr>
		<tr valign="top">
			<th scope="row">Youtube</th>
		<td>
			<div class="input-prepend">
				<span class="add-on"><i class="icon-youtube icon-larger"></i></span>
				<input class="span2 regular-text" type="text" name="youtube" value="<?php if( !empty( $meta['_youtube'][0] ) ) { echo $meta['_youtube'][0]; } ?>">
			</div>
		</td>
		</tr>
		<tr valign="top">
			<th scope="row">RSS</th>
		<td>
			<div class="input-prepend">
				<span class="add-on"><i class="icon-rss icon-larger"></i></span>
				<input class="span2 regular-text" type="text" name="rss" value="<?php if( !empty( $meta['_rss'][0] ) ) { echo $meta['_rss'][0]; } ?>">
			</div>
		</td>
		</tr>
	</table>
	<?php
}
// Post or Page metabox callback
function spp_slup_mbe_callback( $post ) {
		$hide_slideup = get_post_meta( $post->ID, '_hide_slideup', true );
		
		wp_nonce_field( plugin_basename( __FILE__ ), 'spp_slideup_nonce' );	
		echo '
		<label for="hide_slideup">Check to disable '.SPP_SLUP_PLUGIN_NAME.' for this post</label>
		<input id="hide_slideup" type="checkbox" name="hide_slideup" value="on" '.checked( $hide_slideup, "on", false ).' />

		';
		$all_posts = get_posts('post_type=spp_slideup&showposts=-1&orderby=name&order=ASC');
	  echo '
	  <select name="useslideup" >
		<option value="0">Select '.SPP_SLUP_PLUGIN_NAME.'
	  ';
		foreach( $all_posts as $single_post ){
			echo '<option value="'.$single_post->ID.'"  '.( $single_post->ID == get_post_meta( $post->ID, '_useslideup', true ) ? ' selected ' : ' ' ).' >'.$single_post->post_title;
		}	  
	  echo '
	  </select>				
		';	
}

add_action( 'save_post', 'spp_slup_save_postdata' );
function spp_slup_save_postdata( $post_id ) {
  if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) 
      return;
  if ( !wp_verify_nonce( $_POST['spp_slideup_nonce'], plugin_basename( __FILE__ ) ) )
      return;
  if ( 'page' == $_POST['post_type'] ) 
  {
    if ( !current_user_can( 'edit_page', $post_id ) )
        return;
  }
  else
  {
    if ( !current_user_can( 'edit_post', $post_id ) )
        return;
  }

  if( get_post_type( $post_id ) == 'post' || get_post_type( $post_id ) == 'page' ){
  
	update_post_meta( $post_id, '_hide_slideup', $_POST['hide_slideup'] );
	update_post_meta( $post_id, '_useslideup', $_POST['useslideup'] );
  }
   if( get_post_type( $post_id ) == 'spp_slideup'  ){
   $bdcolor = ( isset( $_POST['bdcolor'] ) && preg_match( '/^#[a-f0-9]{6}$/i', $_POST['bdcolor'] ) == '1' ) ? $_POST['bdcolor'] : '' ;
   $bgcolor = ( isset( $_POST['bgcolor'] ) && preg_match( '/^#[a-f0-9]{6}$/i', $_POST['bgcolor'] ) == '1' ) ? $_POST['bgcolor'] : '' ;
   
   $typeopt = array('spp_slup_type_1', 'spp_slup_type_2', 'spp_slup_type_3') ;
   $bdstyleopt = array('', 'solid', 'dashed', 'dotted') ;
   $btnclropt = array('spp_slup_black', 'spp_slup_gray', 'spp_slup_white', 'spp_slup_red', 'spp_slup_orange', 'spp_slup_blue', 'spp_slup_rosy', 'spp_slup_green', 'spp_slup_pink') ;
   $btnstyleopt = array('', 'spp_slup_bigrounded', 'spp_slup_medium') ;
   $bgimgopt = array('', 'gold_scale', 'light_wool', 'paper_2', 'paper_3', 'ps_neutral', 'tweed') ;

   $type = ( in_array( $_POST['type'], $typeopt ) ) ? $_POST['type'] : '' ;
   $bdstyle = ( in_array( $_POST['bdstyle'], $bdstyleopt ) ) ? $_POST['bdstyle'] : '' ;
   $ar_btn_clr = ( in_array( $_POST['ar_btn_clr'], $btnclropt ) ) ? $_POST['ar_btn_clr'] : '' ;
   $ar_btn_style = ( in_array( $_POST['ar_btn_style'], $btnstyleopt ) ) ? $_POST['ar_btn_style'] : '' ;
   $bgimg = ( in_array( $_POST['bgimg'], $bgimgopt ) ) ? $_POST['bgimg'] : '' ;
   
	update_post_meta( $post_id, '_type', $type );
	update_post_meta( $post_id, '_bdwidth', sanitize_text_field( $_POST['bdwidth'] ) );
	update_post_meta( $post_id, '_bdstyle', $bdstyle );
	update_post_meta( $post_id, '_bdcolor', $bdcolor );
	update_post_meta( $post_id, '_bgcolor', $bgcolor );
	update_post_meta( $post_id, '_bgimg', $bgimg );
	update_post_meta( $post_id, '_ar_code', esc_textarea( $_POST['ar_code'] ) );
	update_post_meta( $post_id, '_ar_name', sanitize_text_field( $_POST['ar_name'] ) );
	update_post_meta( $post_id, '_ar_email', sanitize_text_field( $_POST['ar_email'] ) );
	update_post_meta( $post_id, '_ar_url', esc_url_raw( $_POST['ar_url'] ) );
	update_post_meta( $post_id, '_ar_hidden', esc_textarea( $_POST['ar_hidden'] ) );
	update_post_meta( $post_id, '_ar_name_label', sanitize_text_field( $_POST['ar_name_label'] ) );
	update_post_meta( $post_id, '_ar_email_label', sanitize_text_field( $_POST['ar_email_label'] ) );
	update_post_meta( $post_id, '_ar_button_label', sanitize_text_field( $_POST['ar_button_label'] ) );	
	update_post_meta( $post_id, '_ar_btn_clr', $ar_btn_clr );
	update_post_meta( $post_id, '_ar_btn_style', $ar_btn_style );
	update_post_meta( $post_id, '_twitter', esc_url_raw( $_POST['twitter'] ) );
	update_post_meta( $post_id, '_facebook', esc_url_raw( $_POST['facebook'] ) );
	update_post_meta( $post_id, '_pinterest', esc_url_raw( $_POST['pinterest'] ) );
	update_post_meta( $post_id, '_linkedin', esc_url_raw( $_POST['linkedin'] ) );
	update_post_meta( $post_id, '_youtube',esc_url_raw(  $_POST['youtube'] ) );
	update_post_meta( $post_id, '_rss', esc_url_raw( $_POST['rss'] ) );
  }
  
  
}

?>